Package com.enonic.xp.event

## Class Event

- java.lang.Object
- - com.enonic.xp.event.Event

- All Implemented Interfaces:
    `Serializable`

      public final class Event
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Event.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Event.Builder` | `create​(Event event)` |
    `static Event.Builder` | `create​(String type)` |
    `boolean` | `equals​(Object o)` |
    `Map<String,​Object>` | `getData()` |
    `long` | `getTimestamp()` |
    `String` | `getType()` |
    `Optional<Object>` | `getValue​(String key)` |
    `<T> Optional<T>` | `getValueAs​(Class<T> type, String key)` |
    `int` | `hashCode()` |
    `boolean` | `hasValue​(String key)` |
    `boolean` | `isDistributed()` |
    `boolean` | `isLocalOrigin()` |
    `boolean` | `isSubType​(String type)` |
    `boolean` | `isType​(String type)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public String getType()

    - #### getTimestamp

          public long getTimestamp()

    - #### isDistributed

          public boolean isDistributed()

    - #### getData

          public Map<String,​Object> getData()

    - #### getValue

          public Optional<Object> getValue​(String key)

    - #### hasValue

          public boolean hasValue​(String key)

    - #### getValueAs

          public <T> Optional<T> getValueAs​(Class<T> type,
                                            String key)

    - #### isType

          public boolean isType​(String type)

    - #### isSubType

          public boolean isSubType​(String type)

    - #### isLocalOrigin

          public boolean isLocalOrigin()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### create

          public static Event.Builder create​(String type)

    - #### create

          public static Event.Builder create​(Event event)